# Interface IJavaElementSearchConstants

public interface IJavaElementSearchConstants
Search scope constants for Java selection dialogs.

This interface declares constants only; it is not intended to be implemented.

See Also:
  - `JavaUI`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSIDER_ALL_TYPES`
Search scope constant indicating that classes, interfaces, annotations and enums should be considered.
`static final int`
`CONSIDER_ANNOTATION_TYPES`
Search scope constant indicating that annotation types should be considered.
`static final int`
`CONSIDER_BINARIES`
Search scope constant (bit mask) indicating that binaries should be considered.
`static final int`
`CONSIDER_CLASSES`
Search scope constant indicating that classes should be considered.
`static final int`
`CONSIDER_CLASSES_AND_ENUMS`
Search scope constant indicating that only classes and enumeration types should be considered.
`static final int`
`CONSIDER_CLASSES_AND_INTERFACES`
Search scope constant indicating that only classes and interfaces should be considered.
`static final int`
`CONSIDER_ENUMS`
Search scope constant indicating that enums should be considered.
`static final int`
`CONSIDER_EXTERNAL_JARS`
Search scope constant (bit mask) indicating that external JARs should be considered.
`static final int`
`CONSIDER_INTERFACES`
Search scope constant indicating that interfaces should be considered.
`static final int`
`CONSIDER_INTERFACES_AND_ANNOTATIONS`
Search scope constant indicating that interfaces and annotation types should be considered.
`static final int`
`CONSIDER_REQUIRED_PROJECTS`
Search scope constant (bit mask) indicating that required projects should be considered.
`static final int`
`CONSIDER_TYPES`
Deprecated.
use CONSIDER_ALL_TYPES or CONSIDER_CLASSES_AND_INTERFACES instead

## Field Details

### CONSIDER_CLASSES

static final int CONSIDER_CLASSES
Search scope constant indicating that classes should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  - Constant Field Values

### CONSIDER_INTERFACES

static final int CONSIDER_INTERFACES
Search scope constant indicating that interfaces should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  - Constant Field Values

### CONSIDER_TYPES

@Deprecated static final int CONSIDER_TYPES
Deprecated.
use CONSIDER_ALL_TYPES or CONSIDER_CLASSES_AND_INTERFACES instead
Search scope constant indicating that both classes and interfaces should be considered. Equivalent to `CONSIDER_CLASSES | CONSIDER_INTERFACES`.

See Also:
  - Constant Field Values

### CONSIDER_BINARIES

static final int CONSIDER_BINARIES
Search scope constant (bit mask) indicating that binaries should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  - Constant Field Values

### CONSIDER_EXTERNAL_JARS

static final int CONSIDER_EXTERNAL_JARS
Search scope constant (bit mask) indicating that external JARs should be considered. Used when opening certain kinds of selection dialogs.

See Also:
  - Constant Field Values

### CONSIDER_REQUIRED_PROJECTS

static final int CONSIDER_REQUIRED_PROJECTS
Search scope constant (bit mask) indicating that required projects should be considered. Used when opening certain kinds of selection dialogs.

Since:
  2.0
See Also:
  - Constant Field Values

### CONSIDER_ANNOTATION_TYPES

static final int CONSIDER_ANNOTATION_TYPES
Search scope constant indicating that annotation types should be considered. Used when opening certain kinds of selection dialogs.

Since:
  3.1
See Also:
  - Constant Field Values

### CONSIDER_ENUMS

static final int CONSIDER_ENUMS
Search scope constant indicating that enums should be considered. Used when opening certain kinds of selection dialogs.

Since:
  3.1
See Also:
  - Constant Field Values

### CONSIDER_ALL_TYPES

static final int CONSIDER_ALL_TYPES
Search scope constant indicating that classes, interfaces, annotations and enums should be considered.

Since:
  3.1
See Also:
  - Constant Field Values

### CONSIDER_CLASSES_AND_INTERFACES

static final int CONSIDER_CLASSES_AND_INTERFACES
Search scope constant indicating that only classes and interfaces should be considered.

Since:
  3.1
See Also:
  - Constant Field Values

### CONSIDER_CLASSES_AND_ENUMS

static final int CONSIDER_CLASSES_AND_ENUMS
Search scope constant indicating that only classes and enumeration types should be considered.

Since:
  3.1
See Also:
  - Constant Field Values

### CONSIDER_INTERFACES_AND_ANNOTATIONS

static final int CONSIDER_INTERFACES_AND_ANNOTATIONS
Search scope constant indicating that interfaces and annotation types should be considered.

Since:
  3.8
See Also:
  - Constant Field Values